# Uses of Interface
org.jfree.chart3d.label.XYZItemLabelGenerator

Packages that use XYZItemLabelGenerator
Package
Description
org.jfree.chart3d.label
Classes related to chart labels.
org.jfree.chart3d.renderer.xyz
Renderers that can be used with the `XYZPlot` class.

## Uses of XYZItemLabelGenerator in org.jfree.chart3d.label

Classes in org.jfree.chart3d.label that implement XYZItemLabelGenerator
Modifier and Type
Class
Description
`class`
`StandardXYZItemLabelGenerator`
A default implementation of the `XYZItemLabelGenerator` interface.

## Uses of XYZItemLabelGenerator in org.jfree.chart3d.renderer.xyz

Methods in org.jfree.chart3d.renderer.xyz that return XYZItemLabelGenerator
Modifier and Type
Method
Description
`XYZItemLabelGenerator`
AbstractXYZRenderer.`getItemLabelGenerator()`
Returns the item label generator for the renderer.
Methods in org.jfree.chart3d.renderer.xyz with parameters of type XYZItemLabelGenerator
Modifier and Type
Method
Description
`void`
AbstractXYZRenderer.`setItemLabelGenerator(XYZItemLabelGenerator generator)`
Sets the item label generator and sends a change event to all registered listeners.